package managedbeans;

import entities.Client;
import java.util.List;
import javax.faces.bean.ManagedBean;
import model.ClientModel;

@ManagedBean
public class AutoCompleteClientBean {
    private Client selectedClient;

    public List<Client> complete(String query) {  
        return ClientModel.getClientsByName(query);  
    } 
    
    public Client getSelectedClient() {
        return selectedClient;
    }

    public void setSelectedClient(Client selectedClient) {
        this.selectedClient = selectedClient;
    }
    
    public String submit()
    {
        System.out.println("Selected client: " + this.selectedClient.getName());
        return "result";
    }
}
